Get contact details
Retrieve detailed information about a specific contact including documents, revisions, and access requests. Browse request parameters, authentication…
Retrieve detailed information about a specific contact including documents, revisions, and access requests
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Contact ID
Query Parameters
analytics?boolean
Set to true to include contact analytics summary in the response.
Default
falseResponse Body
application/json
curl -X GET "https://example.com/api/v1/contacts/550e8400-e29b-41d4-a716-446655440000?analytics=true"{ "contact": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "email": "user@example.com", "first_name": "string", "last_name": "string", "title": "string", "review_status": "to_review", "documents": [ { "documents_id": { "id": "string", "title": "string", "description": "string", "state": "string", "access_level": "string" } } ], "access_requests": [ { "id": "string", "review_status": "to_review", "date_created": "2019-08-24T14:15:22Z", "date_updated": "2019-08-24T14:15:22Z", "user_updated": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "first_name": "string", "last_name": "string", "email": "user@example.com" }, "documents": [ {} ] } ] }, "documents": [ { "id": "string", "title": "string", "description": "string", "state": "string", "access_level": "public", "is_shared": true, "file": "string", "category": { "id": "string", "title": "string" } } ], "revisions": [ { "id": "string", "delta": {}, "activity": "string", "timestamp": "2019-08-24T14:15:22Z", "user": "string" } ], "accessRequests": [ { "id": "string", "review_status": "to_review", "date_created": "2019-08-24T14:15:22Z", "date_updated": "2019-08-24T14:15:22Z", "user_updated": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "first_name": "string", "last_name": "string", "email": "user@example.com" }, "documents": [ { "documents_id": { "id": "string", "title": "string", "description": "string", "state": "string", "access_level": "string" } } ] } ], "ndaAcceptances": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "date_created": "2019-08-24T14:15:22Z", "date_updated": "2019-08-24T14:15:22Z", "method": "email", "file": "http://example.com", "template": { "title": "string", "type": "string" } } ], "customFields": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "value": "string", "template": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "title": "string", "type": "text", "collection": "accounts", "translations": [ { "languages_code": "string", "title": "string" } ], "options": [ { "value": "string", "label": [ { "languages_code": "string", "translation": "string" } ] } ] } } ], "contactAnalyticsSummary": { "views": 0, "downloads": 0, "topSearchTerms": [ { "query": "string", "count": 0 } ] }}How is this guide?